Summary: C-based HTTP client library built upon the Apache APR library.
Name: serf
Version: 0.1.2
Release: 1
License: Apache License 2.0
Group: 	Applications/Databases
URL: http://code.google.com/p/serf/
Source: http://serf.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRequires: apr-devel, apr-util-devel
Requires: apr, apr-util
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The serf library is a C-based HTTP client library built upon the Apache 
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations
are kept to a minimum to provide high performance operation.


%package devel
Summary: Header files and libraries for developing apps which use serf.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config, apr-devel, apr-util-devel

%description devel
The serf-devel package contains the header files and libraries needed
to develop programs that use the serf HTTP client library.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc CHANGES LICENSE NOTICE README
%{_libdir}/libserf*.so*

%files devel
%defattr(-,root,system)
%doc design-guide.txt
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Tue Dec 18 2007 Michael Perzl <michael@perzl.org> 0.1.2-1
- First version for AIX5L v5.1 and higher

